TestRuntimeJunitAdapter (Grails 3.1.7)
Date: 2016-05-19

Package: grails.test.runtime

## [Groovy] Class TestRuntimeJunitAdapter

- grails.test.runtime.TestRuntimeJunitAdapter

- Internal class that's used as an adapter between JUnit

  ClassRule:
    /
  Rule:
    fields and the TestRuntime system
  Authors:
    Lari Hotari
  Since:
    2.4.0

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected void` | `after(TestRuntime runtime, java.lang.Object testInstance, org.junit.runner.Description description, java.lang.Throwable throwable)`
    `protected void` | `afterClass(TestRuntime runtime, java.lang.Class testClass, org.junit.runner.Description description, java.lang.Throwable throwable)`
    `protected void` | `before(TestRuntime runtime, java.lang.Object testInstance, org.junit.runner.Description description)`
    `protected void` | `beforeClass(TestRuntime runtime, java.lang.Class testClass, org.junit.runner.Description description)`
    `protected boolean` | `doesRequireFreshContext(org.junit.runner.Description testDescription)`
    `protected java.lang.Object` | `handleDirtiesRuntimeAnnotation(TestRuntime runtime, org.junit.runner.Description description, java.lang.Object testInstance)`
    `protected java.lang.Object` | `handleFreshContextAnnotation(TestRuntime runtime, org.junit.runner.Description description, java.util.Map eventArguments)`
    `org.junit.rules.TestRule` | `newClassRule(java.lang.Class definedInTestClass)`
    `org.junit.rules.TestRule` | `newRule(java.lang.Object testInstance)`
    `void` | `setUp(java.lang.Object testInstance)`
    `void` | `tearDown(java.lang.Object testInstance)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### protected void after(TestRuntime runtime, java.lang.Object testInstance, org.junit.runner.Description description, java.lang.Throwable throwable)

    - #### protected void afterClass(TestRuntime runtime, java.lang.Class testClass, org.junit.runner.Description description, java.lang.Throwable throwable)

    - #### protected void before(TestRuntime runtime, java.lang.Object testInstance, org.junit.runner.Description description)

    - #### protected void beforeClass(TestRuntime runtime, java.lang.Class testClass, org.junit.runner.Description description)

    - #### protected boolean doesRequireFreshContext(org.junit.runner.Description testDescription)

    - #### protected java.lang.Object handleDirtiesRuntimeAnnotation(TestRuntime runtime, org.junit.runner.Description description, java.lang.Object testInstance)

    - #### protected java.lang.Object handleFreshContextAnnotation(TestRuntime runtime, org.junit.runner.Description description, java.util.Map eventArguments)

    - #### org.junit.rules.TestRule newClassRule(java.lang.Class definedInTestClass)

    - #### org.junit.rules.TestRule newRule(java.lang.Object testInstance)

    - #### void setUp(java.lang.Object testInstance)

    - #### void tearDown(java.lang.Object testInstance)